Package com.smartgwt.client.types

# Enum TreeFilterMode

java.lang.Object
java.lang.Enum<TreeFilterMode>
com.smartgwt.client.types.TreeFilterMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TreeFilterMode>`, `Constable`

public enum TreeFilterMode extends Enum<TreeFilterMode> implements ValueEnum
Mode for applying criteria to a tree.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `KEEP_PARENTS`
  parent nodes are kept if they have children which match the criteria, or, in a tree with `loadDataOnDemand:true`, if they have not loaded children yet.
  `STRICT`
  only nodes that actually match criteria are shown.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TreeFilterMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TreeFilterMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRICT

    public static final TreeFilterMode STRICT
    only nodes that actually match criteria are shown. If a parent does not match the criteria, it will not be shown, even if it has children that do match the criteria

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "strict".

  - ### KEEP_PARENTS

    public static final TreeFilterMode KEEP_PARENTS
    parent nodes are kept if they have children which match the criteria, or, in a tree with `loadDataOnDemand:true`, if they have not loaded children yet.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "keepParents".

- ## Method Details

  - ### values

    public static TreeFilterMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TreeFilterMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`